﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.Events;

public class GameEventListenerFloat : MonoBehaviour
{
    public GameEventFloat Event;
    public UnityEventFloat Response;

    private void OnEnable()
    {
        Event.RegisterListener(this);
    }
    private void OnDisable()
    {
        Event.UnregisterListeners(this);
    }

    public void OnEventRaised(float f)
    {
        Response.Invoke(f);
    }
}

[System.Serializable]
public class UnityEventFloat : UnityEvent<float>
{
}
